function onBegin()
    makeUnskippable()
    playPuppetAnim("death")
    wait(2.5)
	playSound("event:/CC/CC_HollowKnight/SFX/Boss SFX/BossExplode", puppet.Center)
	wait(1)
    setFlag("TeachersArchivesBreak",true)
    puppet.Visible = false
	playMusic("event:/none")
    removeBoss(true)
end